Skip to navigation

Get RFQ trades

Retrieve the executed block trades that the user has participated in, either as taker or maker.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

rfqIdstringOptional
RFQ ID to filter by.
clRfqIdstringOptional

Client-supplied RFQ ID to filter by.

quoteIdstringOptional
Quote ID to filter by.
clQuoteIdstringOptional

Client-supplied quote ID to filter by.

statestringOptional
State of the block trade to filter by.
beginIdstringOptional

Pagination: request records newer than (but not including) this block trade ID.

endIdstringOptional

Pagination: request records older than (but not including) this block trade ID.

beginTsstringOptional
Filter with a begin timestamp, Unix timestamp in milliseconds.
endTsstringOptional
Filter with an end timestamp, Unix timestamp in milliseconds.
limitstringOptional
Number of results per request. Maximum and default are both 100.

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional